HOC SiteDocumentation

POST /api/v1/{locale}/{websiteId}/files/upload-url

Create a 15 minute presigned upload URL (max 5 GB). HEIC/HEIF is rejected: it is converted to JPEG before storage, so upload it with multipart POST /files instead.

Method: POST · Auth: bearer · Group: files

/api/v1/{locale}/{websiteId}/files/upload-url

Create a 15 minute presigned upload URL (max 5 GB). HEIC/HEIF is rejected: it is converted to JPEG before storage, so upload it with multipart POST /files instead.

Request

  • Content-Type: application/json
{ "fileName": "string", "contentType": "string", "size": number, "directoryId"?: "uuid" }

MCP tools